lucene-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Erick Erickson <erickerick...@gmail.com>
Subject Re: Re: lucene3.x vs lucene2.x
Date Wed, 07 Sep 2011 12:52:47 GMT
No, that's a younger, handsomer man than me, Erik Hatcher....

Best
Erick

On Wed, Sep 7, 2011 at 7:26 AM, 建文 <tom.grade1986@163.com> wrote:

> **
> **
> Erick:
>   you are the co-author of the lucene?
>
> 2011-09-07
> ------------------------------
>
>      janwen | China
> website : http://www.qianpin.com/
> twitter : http://twitter.com/loujianwen
>
> **
> ---------------------------------------------------------
> 网易闪电邮(fm.163.com),收发邮件、快如闪电!
>  ------------------------------
>  发件人: Erick Erickson <erickerickson@gmail.com>
> 发送时间: 2011-09-07 19:24
> 主 题: Re: lucene3.x vs lucene2.x
> 收件人: java-user@lucene.apache.org
>
>
> Oops, I was thinking I was on the Solr list, so forget the history
> lesson.....
>
> that said, the rest of my previous comment still holds, the bleeding
> edge Lucene code is still trunk, with the 3.x versions quite stable. I'd
> still go with the 3.x versions for Lucene as well.
>
> Sorry for the confusion
> Erick
>
> 2011/9/7 Erick Erickson <erickerickson@gmail.com>
>
> > First, a small background on versions. There is no version 2. When
> > Lucene and Solr merged, Lucene was on version 2.9 and Solr was 1.4.1 so,
> > rather than have two different numbers (i.e. Solr 2.x and Lucene 3.x),
> > Solr skipped 2 and went straight to 3. Now Solr and Lucene are released
> > jointly and have the same versions.
> >
> > OK, that said, I really think that using Solr 1.4x is a mistake at this
> > point. 3.x
> > (current version 3.3, 3.4 to be released soon) is a much better idea, it
> > has
> > some very significant improvements. It is being used in production at a
> > number
> > of large sites, etc. It is quite stable and tested.
> >
> > The current bleeding-edge code is the "trunk" version, which will be 4.x
> > when
>
> > it is released (possibly this year, although that's not certain). the 3.x
> > code line
> > gets some selected enhancements simultaneously with 4.x, but only ones
> > that are considered either very safe or necessary. The risky changes are
> > applied to the 4.x code line.
> >
> > Hope this helps
> > Erick
> >
> > On Wed, Sep 7, 2011 at 2:18 AM, 建文 <tom.grade1986@163.com> wrote:
> >
> >> **
> >> **
> >> hi:
> >>    We want to use lucene in our website,The team is confued with using
>
> >> which version in our project.I google a lot and see the changelog on apache
>
> >> site.But i did not get a lot more usefule info.I personally want to use the
>
> >> latest verion of lucene.But i can not persuade the team.Could anyone give me
> >> some info?thanks
> >> 2011-09-07
> >> ------------------------------
> >>
> >>      janwen | China
> >> website : http://www.qianpin.com/
> >> twitter : http://twitter.com/loujianwen
> >>
> >> **
> >> ---------------------------------------------------------
> >> 网易闪电邮(fm.163.com),您的专属邮件管家
> >>  ------------------------------
> >>  发件人: Erick Erickson <erickerickson@gmail.com>
> >> 发送时间: 2011-09-07 06:05
> >> 主 题: Re: Failed to create text index reader for .frq file
> >> 收件人: java-user@lucene.apache.org
> >>
> >>
> >> Hmmm, it rather looks like somehow some of your
> >> index files got deleted from your index directory.
> >> a .frq file is one of the files that contains document
> >> frequency information. The fact that Lucene
> >> can't find _166.frq indicates you've been using this
> >> index for a while and created a bunch of segments.
> >>
> >> There exists a program called checkindex that
> >> can be used to help figure out the state of your
> >> index. See:
> >> http://solr.pl/en/2011/01/17/checkindex-for-the-rescue/
> >>
> >> And if you're using Java7, you should be aware
> >> of:
> >>
> >>
> http://lucene.apache.org/solr/#28+July+2011+-+WARNING%3A+Index+corruption+and+crashes+in+Apache+Lucene+Core+%2F+Apache+Solr+with+Java+7
>
> >>
> >>
> >> What happens if you point Luke at your index?
> >>
> >> Best
> >> Erick
> >>
> >> On Tue, Sep 6, 2011 at 3:33 PM, Nilesh Vijaywargiay
> >> <nilesh.vijay@gmail.com> wrote:
> >> > Hi,
> >> >
> >>
>
> >> > I am facing a error while processing a set of data.. the description says
> >>
>
> >> > "Failed to create text index reader for .../.../_166.frq (The System cannot
> >> > find the specified path).
> >> >
> >>
>
> >> > I have never seen this error in the past neither have I seen this file
in
> >>
>
> >> > the index folder ever.  Does lucene take care of this file or we need some
> >> > add-on or third party software for this particular file?
> >> >
> >> > Thanks
> >> >
> >>
> >> ---------------------------------------------------------------------
> >> To unsubscribe, e-mail: java-user-unsubscribe@lucene.apache.org
> >> For additional commands, e-mail: java-user-help@lucene.apache.org
> >>
> >> **
> >
> >
> >
>
> **
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message